APIPod Docs
HomeModels
Language
Language
  • 中文
  • English
HomeModels
Language
Language
  • 中文
  • English
  1. Seedance 2.0
  • Getting Started with APIPod API
  • Image Models
    • Nano Banana
      • Nano Banana 2
      • Nano Banana Pro
    • Seedream 4.5
      • Seedream V4.5 Text to Image
      • Seedream V4.5 Image to Image
    • Seedream 5.0 Lite
      • Seedream 5.0 Lite Text to Image
      • Seedream 5.0 Lite Image to Image
    • WAN 2.7
      • WAN 2.7 Text to Image
      • WAN 2.7 Image to Image
      • WAN 2.7 Text to Image Pro
      • WAN 2.7 Image to Image Pro
    • Query Image Task
      GET
  • Video Models
    • Veo 3.1
      • Veo 3.1 Fast
    • Seedance 2.0
      • Seedance 2.0 Text to Video
        POST
      • Seedance 2.0 Image to Video
        POST
      • Seedance 2.0 Reference to Video
        POST
      • Seedance 2.0 Fast Text to Video
        POST
      • Seedance 2.0 Fast Image to Video
        POST
      • Seedance 2.0 Fast Reference to Video
        POST
  • Schemas
    • NanoBanana
    • Seedream4.5
    • Seedream5.0
    • SubmitTaskResponse
    • TaskDetailResponse
    • WAN2.7Image
    • WAN2.7ImageEdit
    • WAN2.7ImagePro
    • WAN2.7ImageEditPro
    • Veo3.1Fast
    • Seedance2.0TextToVideo
    • Seedance2.0ImageToVideo
    • Seedance2.0ReferenceToVideo
    • Seedance2.0FastTextToVideo
    • Seedance2.0FastImageToVideo
    • Seedance2.0FastReferenceToVideo
  1. Seedance 2.0

Seedance 2.0 Fast Image to Video

POST
https://api.apipod.ai/v1/videos/generations
seedanceimage to video
Last modified:2026-04-09 13:08:22
Seedance 2.0 Fast is a new-generation multimodal video creation model developed by the Doubao Large Model Team. It inherits the core functions and advantages of the Seedance 2.0 model and features faster generation speed. This is a version of the image-to-video model.

Query Task Details#

After submitting a task, you can check the task progress and obtain the generated results through the unified query endpoint:
Get Video Task Details
Learn how to query task status and obtain generated results
In a production environment, it is recommended to use the callback_url parameter to receive automatic notifications upon generation completion instead of polling the status endpoint.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200成功
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.apipod.ai/v1/videos/generations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "seedance-2.0-fast-i2v",
    "image_urls": [
        "https://loremflickr.com/400/400?lock=4337781699049750",
        "https://loremflickr.com/400/400?lock=4290750862245204"
    ],
    "aspect_ratio": "adaptive",
    "duration": 5,
    "generate_audio": true,
    "prompt": "手绘漫画风格,三个人围坐在一起吃炸鸡,气氛友好愉悦,后画面逐渐模糊,画面中部显示文字“快乐尽在 APIPod”。",
    "resolution": "720p",
    "return_last_frame": false,
    "watermark": false,
    "web_search": false
}'
Response Response Example
{
    "code": 200,
    "message": "success",
    "data": {
        "task_id": "abcd-efgh-1234"
    }
}
Modified at 2026-04-09 13:08:22
Previous
Seedance 2.0 Fast Text to Video
Next
Seedance 2.0 Fast Reference to Video
Built with